Name:           pinentry
Version:        0.7.1
Release:        3
Epoch:          0
Summary:        Collection of simple PIN or passphrase entry dialogs

Group:          Applications/System
License:        GPL
URL:            http://www.gnupg.org/aegypten/
Source0:        ftp://ftp.gnupg.org/gcrypt/pinentry/pinentry-0.7.1.tar.gz
Source1:        ftp://ftp.gnupg.org/gcrypt/pinentry/pinentry-0.7.1.tar.gz.sig
# http://bugs.gnupg.org/cgi-bin/gnatsweb.pl?cmd=view&pr=242
Patch0:         %{name}-0.7.0-docs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glib-devel >= 1:1.2.0, gtk+-devel >= 1:1.2.0, ncurses-devel
%{!?_without-qt:BuildRequires: qt-devel >= 1:3.2}
# texinfo needed because of patch0
BuildRequires:  texinfo
Requires:       %{_sbindir}/update-alternatives, /sbin/install-info
Provides:       %{name}-curses = %{epoch}:%{version}-%{release}

%description
Pinentry is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project; see
http://www.gnupg.org/aegypten/ for details.
This package contains the curses (text) based version of the PIN entry dialog.

%package        gtk
Summary:        Passphrase/PIN entry dialog based on GTK+
Group:          Applications/System
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{_sbindir}/update-alternatives
Provides:       %{name}-gui = %{epoch}:%{version}-%{release}

%description    gtk
Pinentry is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project; see
http://www.gnupg.org/aegypten/ for details.
This package contains the GTK+ GUI based version of the PIN entry dialog.

%package        qt
Summary:        Passphrase/PIN entry dialog based on Qt
Group:          Applications/System
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{_sbindir}/update-alternatives
Provides:       %{name}-gui = %{epoch}:%{version}-%{release}

%description    qt
Pinentry is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project; see
http://www.gnupg.org/aegypten/ for details.
This package contains the Qt GUI based version of the PIN entry dialog.


%prep
%setup -q
%patch0 -p0


%build
%if %{?_without_qt:0}%{?!_without_qt:1}
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
%endif
%configure --disable-rpath %{?_without_qt:--disable-pinentry-qt}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Dummy symlink for %ghost
ln -s %{_sysconfdir}/alternatives/pinentry $RPM_BUILD_ROOT%{_bindir}/pinentry
rm -f $RPM_BUILD_ROOT%{_infodir}/dir


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir 2>/dev/null || :
if [ $1 -eq 1 ] ; then
  %{_sbindir}/update-alternatives --install %{_bindir}/pinentry \
    pinentry %{_bindir}/pinentry-curses 10
fi

%post gtk
if [ $1 -eq 1 ] ; then
  %{_sbindir}/update-alternatives --install %{_bindir}/pinentry \
    pinentry %{_bindir}/pinentry-gtk 40
fi

%post qt
if [ $1 -eq 1 ] ; then
  %{_sbindir}/update-alternatives --install %{_bindir}/pinentry \
    pinentry %{_bindir}/pinentry-qt 30
fi

%postun
if [ $1 -eq 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info \
    %{_infodir}/dir 2>/dev/null || :
  %{_sbindir}/update-alternatives --remove pinentry %{_bindir}/pinentry-curses
fi

%postun gtk
if [ $1 -eq 0 ] ; then
  %{_sbindir}/update-alternatives --remove pinentry %{_bindir}/pinentry-gtk
fi

%postun qt
if [ $1 -eq 0 ] ; then
  %{_sbindir}/update-alternatives --remove pinentry %{_bindir}/pinentry-qt
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/pinentry-curses
%ghost %{_bindir}/pinentry
%{_infodir}/pinentry.info*

%files gtk
%defattr(-,root,root,-)
%{_bindir}/pinentry-gtk
%ghost %{_bindir}/pinentry

%if %{?_without_qt:0}%{?!_without_qt:1}
%files qt
%defattr(-,root,root,-)
%{_bindir}/pinentry-qt
%ghost %{_bindir}/pinentry
%endif


%changelog
* Wed Jun 30 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.1-0.fdr.3
- BuildRequires qt-devel >= 3.2.

* Sat May 22 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.1-0.fdr.2
- Spec cleanups.

* Sat Apr 24 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.1-0.fdr.1
- Update to 0.7.1.

* Fri Dec 26 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.0-0.fdr.1
- Update to 0.7.0.
- Split GTK+ and QT dialogs into subpackages.

* Thu Jul 10 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.9-0.fdr.1
- Update to 0.6.9.
- Smoother experience with --excludedocs.
- Don't change alternative priorities on upgrade.

* Sat Mar 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.8-0.fdr.1
- Update to current Fedora guidelines.

* Tue Feb 12 2003 Warren Togami <warren@togami.com> 0.6.8-1.fedora.3
- info/dir temporary workaround

* Sat Feb  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.6.8-1.fedora.1
- First Fedora release.
